Subject: [Sip] RE: reason code in BYE/CANCEL (was[Sip-implementors] another pro blem related to multiple call l egs at UAC)

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 29 Jun 2001 04:58:54 -0400

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Thursday, June 28, 2001 10:49 AM
> To: Ashhar Farhan
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: reason code in BYE/CANCEL (was[Sip-implementors] another
> problem related to multiple call l egs at UAC)
> 
> 
> As I said in a previous mail, we already have a set of reason phrases
> and reason codes used in responses. Since it is very likely 
> that in 3pcc
> situations the reason phrase and the status codes of a response is
> mapped into the BYEs' reason phrase and status code, I would 
> suggest to
> use the same format and the same codes.
> 
> If we have to add a couple of codes (I do not think we need too many),
> it is alright. However, defining brand new status codes does not sound
> good to me. Let us reuse what we already have.

I think thats a reasonable starting point. Lets keep in mind that this
mechanism is not soley for 3pcc response-to-BYE conversions. It is also
helpful for indicating the reason for CANCELs as well. These reasons, which
I have indicated a few in a prior email, have no appropriate values amongst
the defined response codes.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip